## START: Set by rpmautospec
## (rpmautospec version 0.7.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%{!?sources_gpg: %{!?dlrn:%global sources_gpg 1} }
%global sources_gpg_sign 0x22284f69d9eccdf3df7819791c711af193ff8e54

%{!?upstream_version: %global upstream_version %{version}%{?milestone}}

%global pypi_name oslo.context
%global pkg_name oslo-context
%global with_doc 1

%global common_desc \
The OpenStack Oslo context library has helpers to maintain \
useful information about a request context. \
The request context is usually populated in the \
WSGI pipeline and used by various modules such as logging.

Name:           python-%{pkg_name}
Version:        5.7.0
Release:        %autorelease
Summary:        OpenStack Oslo Context library

License:        Apache-2.0
URL:            https://launchpad.net/oslo.context
Source0:        https://tarballs.openstack.org/%{pypi_name}/%{pypi_name}-%{upstream_version}.tar.gz
# Required for tarball sources verification
%if 0%{?sources_gpg} == 1
Source101:        https://tarballs.openstack.org/%{pypi_name}/%{pypi_name}-%{upstream_version}.tar.gz.asc
Source102:        https://releases.openstack.org/_static/%{sources_gpg_sign}.txt
%endif

BuildArch:      noarch

# Required for tarball sources verification
%if 0%{?sources_gpg} == 1
BuildRequires:  /usr/bin/gpgv2
%endif

BuildRequires:  git-core

%package -n python3-%{pkg_name}
Summary:        OpenStack Oslo Context library
%{?python_provide:%python_provide python3-%{pkg_name}}

BuildRequires:  python3-devel
BuildRequires:  python3-pbr
# test dependencies
BuildRequires:  python3-debtcollector
BuildRequires:  python3-fixtures
BuildRequires:  python3-hacking
BuildRequires:  python3-oslotest
BuildRequires:  python3-tox
BuildRequires:  python3-tox-current-env
BuildRequires:  python3-stestr

Requires:       python3-debtcollector >= 1.2.0
Requires:       python3-pbr

%description -n python3-%{pkg_name}
%{common_desc}

%package -n python3-%{pkg_name}-tests
Summary:   Tests for OpenStack Oslo context library

Requires:  python3-%{pkg_name} = %{version}-%{release}

%description -n python3-%{pkg_name}-tests
Tests for OpenStack Oslo context library

%if 0%{?with_doc}
%package -n python-%{pkg_name}-doc
Summary:        Documentation for the OpenStack Oslo context library

BuildRequires:  python3-sphinx
BuildRequires:  python3-openstackdocstheme

%description -n python-%{pkg_name}-doc
Documentation for the OpenStack Oslo context library.
%endif

%description
%{common_desc}

%prep
# Required for tarball sources verification
%if 0%{?sources_gpg} == 1
%{gpgverify}  --keyring=%{SOURCE102} --signature=%{SOURCE101} --data=%{SOURCE0}
%endif
%autosetup -n %{pypi_name}-%{upstream_version} -S git
rm -rf *requirements.txt

%build
%{py3_build}

%if 0%{?with_doc}
# doc
sphinx-build-3 -b html doc/source doc/build/html
# Remove the sphinx-build-3 leftovers
rm -fr doc/build/html/.{doctrees,buildinfo}
%endif

%install
%{py3_install}

%check
%tox

%files -n python3-%{pkg_name}
%license LICENSE
%doc README.rst
%{python3_sitelib}/oslo_context
%{python3_sitelib}/*.egg-info
%exclude %{python3_sitelib}/oslo_context/tests

%if 0%{?with_doc}
%files -n python-%{pkg_name}-doc
%license LICENSE
%doc doc/build/html
%endif

%files -n python3-%{pkg_name}-tests
%license LICENSE
%{python3_sitelib}/oslo_context/tests

%changelog
## START: Generated by rpmautospec
* Thu Dec 26 2024 Tim Semeijn <tim@semeijn.net> - 5.7.0-1
- Uncommitted changes

* Fri Nov 15 2024 Joel Capitao <jcapitao@redhat.com> - 5.6.0-3
- Use %%tox macro

* Thu Oct 10 2024 Miroslav Suchý <msuchy@redhat.com> - 5.6.0-2
- Convert to SPDX again

* Mon Oct 07 2024 Joel Capitao <jcapitao@redhat.com> - 5.6.0-1
- Sync from RDO dalmatian release from python-oslo-context-5.6.0-1.el9s

* Wed Jul 24 2024 Miroslav Suchý <msuchy@redhat.com> - 5.5.0-4
- convert ASL 2.0 license to SPDX

* Fri Jul 19 2024 Fedora Release Engineering <releng@fedoraproject.org> - 5.5.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Wed Jul 10 2024 Python Maint <python-maint@redhat.com> - 5.5.0-2
- Rebuilt for Python 3.13

* Mon May 06 2024 Alfredo Moralejo <amoralej@redhat.com> - 5.5.0-1
- Sync from RDO caracal release from python-oslo-context-5.5.0-1.el9s

* Fri Jan 26 2024 Fedora Release Engineering <releng@fedoraproject.org> - 5.2.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Mon Jan 22 2024 Fedora Release Engineering <releng@fedoraproject.org> - 5.2.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Thu Oct 26 2023 Alfredo Moralejo <amoralej@redhat.com> - 5.2.0-1
- Sync from RDO bobcat release from python-oslo-context-5.2.0-1.el9s

* Fri Jul 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 5.1.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Tue Jul 04 2023 Python Maint <python-maint@redhat.com> - 5.1.1-3
- Rebuilt for Python 3.12

* Tue Jul 04 2023 Miro Hrončok <miro@hroncok.cz> - 5.1.1-2
- Remove a lint-only dependency

* Fri Apr 14 2023 karolinku <kkula@redhat.com> - 5.1.1-1
- Sync from RDO antelope release from python-oslo-context-5.1.1-1.el9s

* Fri Jan 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 5.0.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Thu Nov 17 2022 Alfredo Moralejo <amoralej@redhat.com> - 5.0.0-1
- Sync from RDO zed release from python-oslo-context-5.0.0-1.el9s

* Fri Jul 22 2022 Fedora Release Engineering <releng@fedoraproject.org> - 4.1.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Thu Jun 16 2022 Python Maint <python-maint@redhat.com> - 4.1.0-2
- Rebuilt for Python 3.11

* Thu May 19 2022 Joel Capitao <jcapitao@redhat.com> - 4.1.0-1
- Sync from RDO yoga release from python-oslo-context-4.1.0-1.el8

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 3.2.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Fri Jul 23 2021 Fedora Release Engineering <releng@fedoraproject.org> - 3.2.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Fri Jun 04 2021 Python Maint <python-maint@redhat.com> - 3.2.0-2
- Rebuilt for Python 3.10

* Tue Mar 16 2021 Joel Capitao <jcapitao@redhat.com> - 3.2.0-1
- Sync from RDO wallaby release from python-oslo-context-3.2.0-1.el8

* Wed Jan 27 2021 Fedora Release Engineering <releng@fedoraproject.org> - 3.1.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Wed Oct 28 2020 Alfredo Moralejo <amoralej@redhat.com> - 3.1.1-1
- Sync from RDO victoria release from python-oslo-context-3.1.1-2.el8

* Wed Jul 29 2020 Fedora Release Engineering <releng@fedoraproject.org> - 3.0.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Wed Jun 03 2020 Joel Capitao <jcapitao@redhat.com> - 3.0.2-1
- Sync from RDO ussuri release from python-oslo-context-3.0.2-1.el8

* Mon Jun 01 2020 Alfredo Moralejo <amoralej@redhat.com> - 2.23.0-5
- Remove hacking as BR

* Tue May 26 2020 Miro Hrončok <miro@hroncok.cz> - 2.23.0-4
- Rebuilt for Python 3.9

* Thu Jan 30 2020 Fedora Release Engineering <releng@fedoraproject.org> - 2.23.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Mon Jan 20 2020 Miro Hrončok <miro@hroncok.cz> - 2.23.0-2
- Properly escape nested macro calls

* Wed Nov 06 2019 Alfredo Moralejo <amoralej@redhat.com> - 2.23.0-1
- Sync from RDO train release

* Thu Oct 03 2019 Miro Hrončok <miro@hroncok.cz> - 2.22.1-4
- Rebuilt for Python 3.8.0rc1 (#1748018)

* Mon Aug 19 2019 Miro Hrončok <miro@hroncok.cz> - 2.22.1-3
- Rebuilt for Python 3.8

* Fri Jul 26 2019 Fedora Release Engineering <releng@fedoraproject.org> - 2.22.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Mon May 13 2019 Alfredo Moralejo <amoralej@redhat.com> - 2.22.1-1
- Update to stein release

* Thu Jan 31 2019 yatin <ykarel@redhat.com> - 2.20.0-2
- Remove python2 sub packages (#1627427)

* Sat Aug 18 2018 Haikel Guemar <hguemar@fedoraproject.org> - 2.20.0-1
- Update to 2.20.0

* Sat Jul 14 2018 Fedora Release Engineering <releng@fedoraproject.org> - 2.17.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Tue Jun 19 2018 Miro Hrončok <miro@hroncok.cz> - 2.17.0-3
- Rebuilt for Python 3.7

* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 2.17.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Mon Oct 09 2017 Matthias Runge <mrunge@redhat.com> - 2.17.0-1
- Sync with OpenStack pike release

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 2.12.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Tue Jun 13 2017 Haikel Guemar <hguemar@fedoraproject.org> - 2.12.1-2
- Upload 2.12.1 sources

* Tue Jun 13 2017 Haikel Guemar <hguemar@fedoraproject.org> - 2.12.1-1
- Update to 2.12.1

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 2.9.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Wed Jan 04 2017 Charalampos Stratakis <cstratak@redhat.com> - 2.9.0-4
- Fix documentation build with sphinx >= 1.5

* Mon Dec 19 2016 Miro Hrončok <miro@hroncok.cz> - 2.9.0-3
- Rebuild for Python 3.6

* Wed Sep 07 2016 Haikel Guemar <hguemar@fedoraproject.org> - 2.9.0-2
- Upload 2.9.0 sources

* Wed Sep 07 2016 Haikel Guemar <hguemar@fedoraproject.org> - 2.9.0-1
- Sync w/ RDO Newton

* Tue Jul 19 2016 Fedora Release Engineering <releng@fedoraproject.org> - 2.2.0-3
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_
  Packages

* Thu Jun 23 2016 Charalampos Stratakis <cstratak@redhat.com> - 2.2.0-2
- Provide a Python 3 tests subpackage

* Fri Apr 15 2016 Haikel Guemar <hguemar@fedoraproject.org> - 2.2.0-1
- Update to 2.2.0

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.6.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Tue Nov 10 2015 Peter Robinson <pbrobinson@fedoraproject.org> - 0.6.0-2
- Rebuilt for https://fedoraproject.org/wiki/Changes/python3.5

* Thu Sep 17 2015 Alan Pevec <alan.pevec@redhat.com> - 0.6.0-1
- Update to upstream 0.6.0

* Tue Sep 08 2015 Haikel Guemar <hguemar@fedoraproject.org> - 0.5.0-6
- Fix provides and drop workarounds

* Mon Sep 07 2015 Chandan Kumar <chkumar246@gmail.com> - 0.5.0-5
- Fixed rpmlint issue

* Mon Sep 07 2015 Chandan Kumar <chkumar246@gmail.com>
- Fixed obseletes and package namespaces

* Thu Sep 03 2015 Chandan Kumar <chkumar246@gmail.com> - 0.5.0-2
- Added python2 and python3 subpackage

* Mon Aug 17 2015 Alan Pevec <alan.pevec@redhat.com> - 0.5.0-1
- Update to upstream 0.5.0

* Sun Jun 28 2015 Alan Pevec <alan.pevec@redhat.com> - 0.4.0-1
- Update to upstream 0.4.0

* Sun Jun 28 2015 Alan Pevec <alan.pevec@redhat.com> - 0.2.0-3
- spec cleanup

* Thu Jun 18 2015 Dennis Gilmore <dennis@ausil.us> - 0.2.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Fri Mar 27 2015 Chandan Kumar <chkumar246@gmail.com> - 0.2.0-1
- Initial import bz#1201325
## END: Generated by rpmautospec
